pppd with kernel 2.4.5

pppd with kernel 2.4.5

Post by Pyrr » Wed, 06 Jun 2001 09:59:20



pppd (version 2.4.0) works with kernel 2.2.9 (that's how I'm posting this),
however, once I upgraded to kernel 2.4.5, I had problems connecting.
I normally connect with the following script:

/usr/sbin/pppd /dev/ttyS1 115200 connect 'usr/sbin/chat -f /etc/ppp/chatscript'

in 2.4.5 when I run the script it starts to connect and I hear the modem dial.
the file /var/run/ppp0.pid is created although ppp0 is never listed as
an interface under ifconfig.  Then I am given the error:
"ttyS:1 input overrun(s)"
and my modem disconnects.
Does anyone know how to fix this?

--
"now everyone's equal, just don't measure it" -Bad Religion

If you're not part of the solution, you're part of the precipitate.

PGP/GPG Key ID 1024D/13DE 0759
Fingerprint: 7D20 DD03 0EC1 B8B6 50DF FF4A C98F B780 13DE 0759

 
 
 

1. new PPPD for kernel 2.2.1

Hi,

On the http://linuxtoday.com/stories/2291.html, it talks about the pppd
2.3.5 so where is it ?
I looked at opensrc.org,and saw only a bug report on 2.3.2 plus
unidentified patches.

Someone got a clue ?

Thanks
Anhtuan

2. How do I stop NFS from starting?

3. pppd and kernel 2.4.3

4. Accessing files from within a kernel module

5. pppd & Kernel support for PPP?

6. tarring/gzipping

7. PPPD on Kernel 2.0.30

8. ALERT: New Pentium Bug Discovered

9. new PPPD for kernel 2.2.1

10. Problems with pppd and kernel > 1.2.13

11. RH5.1, PPPD and Kernel support

12. Problems compiling pppd on kernel 2.0.23

13. pppd and kernel 2.3.99-pre9 and others...